
############################################################ 
### NOTE: FOR THIS CODE TO RUN, YOU MUST DOWNLOAD THE    ### 
### EPR DATA FILE SEPARATELY FROM THE WEBSITE REFERENCED ### 
### BELOW, AND THEN CHANGE THE DIRECTORY LOCATION IN THE ### 
### NEXT LINE TO THE FOLDER HOLDING THE SAVED FILE       ### 
############################################################ 

setwd('C:/Projects/WarrenTroyJCR')

library(foreign)
library(Matching)

#####################
### LOAD EPR DATA ###
#####################

epr_data <- read.csv("EPR_groupyear_v1.1.csv")
#########################################################
### Accessed at http://thedata.harvard.edu/dvn/dv/epr ### 
### 3/1/2010                                          ### 
#########################################################

#####################
### LOAD MAR DATA ###
#####################

mar_data <- read.dta("WarrenTroy.JCR.dta")

####################################
### LIMIT OBSERVATIONS TO COMMON ###
### RANGE OF GROUP SIZES         ###
####################################

epr_data <- epr_data[epr_data$size < 0.5, ]
epr_data <- epr_data[epr_data$size > 0.001, ]
epr_data <- epr_data[epr_data$year == 2005, ]
epr_data <- epr_data[epr_data$ethrelevant == 2, ]
epr_sizes <- na.omit(epr_data$size)

mar_data <- mar_data[mar_data$gpro_i < 0.5, ]
mar_data <- mar_data[mar_data$gpro_i > 0.001, ]
mar_data <- mar_data[mar_data$year == 2005, ]
mar_sizes <- na.omit(mar_data$gpro_i)


#################################
### KS-TEST OF                ###
### EQUIVALENT DISTRIBUTIONS  ###
#################################


mean(mar_sizes)
sd(mar_sizes)

mean(epr_sizes)
sd(epr_sizes)


ks.test(epr_sizes, mar_sizes)



